# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# /work/perseverance-python-buildout/aggregate/ruamel.yaml-feedstock/recipe, last modified Wed Nov  1 02:19:34 2023
# ------------------------------------------------

package:
  name: ruamel.yaml
  version: 0.17.21
source:
  sha256: 8b7ce697a2f212752a35c1ac414471dc16c424c9573be4926b56ff3f5d23b7af
  url: https://pypi.io/packages/source/r/ruamel.yaml/ruamel.yaml-0.17.21.tar.gz
build:
  number: '0'
  script: /work/perseverance-python-buildout/croot/ruamel.yaml_1698858105915/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
    -m pip install . --no-deps -vv
  string: py312h998d150_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - sysroot_linux-aarch64 2.26 h4744778_14
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - bzip2 1.0.8 hfd63f10_2
    - ca-certificates 2023.08.22 hd43f75c_0
    - expat 2.5.0 h419075a_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.4.4 h419075a_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - ncurses 6.4 h419075a_0
    - openssl 3.0.11 h2f4d8fa_2
    - pip 23.3 py312hd43f75c_0
    - python 3.12.0 h8edadfe_0
    - readline 8.2 h998d150_0
    - ruamel 1.0 py312hd43f75c_2
    - setuptools 68.0.0 py312hd43f75c_0
    - sqlite 3.41.2 h998d150_0
    - tk 8.6.12 h241ca14_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.41.2 py312hd43f75c_0
    - xz 5.4.2 h998d150_0
    - zlib 1.2.13 h998d150_0
  run:
    - libgcc-ng >=11.2.0
    - python >=3.12,<3.13.0a0
test:
  commands:
    - pip check
  imports:
    - ruamel.yaml
  requires:
    - pip
about:
  description: A YAML parser/emitter that supports roundtrip preservation of comments,
    seq/map flow style, and map key order
  dev_url: https://sourceforge.net/projects/ruamel-yaml/
  doc_source_url: https://sourceforge.net/p/ruamel-yaml/code/ci/0.17.21/tree/_doc/
  doc_url: https://yaml.readthedocs.io
  home: https://sourceforge.net/projects/ruamel-yaml/
  license: MIT
  license_family: MIT
  license_file: LICENSE
  license_url: https://sourceforge.net/p/ruamel-yaml/code/ci/0.17.21/tree/LICENSE
  summary: A YAML package for Python. It is a derivative of Kirill Simonov's PyYAML
    3.11 which supports YAML1.1
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - jakirkham
    - mbargull
    - mwcraig
    - ocefpaf
    - pelson
